Download OpenAPI specification:
Is this your first time here? Please check out our introduction to Loket (API)
The initial loading time of this developer portal may be very long due to the large number of endpoints designs being rendered when loading the page. We are looking into an alternative solution but for now please bear in mind.
The Loket API is a RESTful API that exposes the data and features of the Loket platform. The API accepts and returns JSON and can only be accessed by registered users. This documentation describes version 2 of the API.
Are you looking to partner up and start building an integration based on the Loket RESTful API? Please check out the steps for partners on our website .
Have you received your client and user credentials from us? Check out the following Postman collection to help you start making your first API calls on our acceptance environment. We would recommend to install the Postman desktop app.
Do you want to contact us with any further questions or remarks regarding the Loket RESTful API? Please send an email to api@loket.nl, and we will get back to you.
The Loket API has two different environments. The first environment is the "acceptance" environment which is used during development and returns test data. The second environment is the production environment which is to be used exclusively by approved applications. Both environments have their own URLs.
The endpoints are defined using the OpenAPI 3.1 specification, an industry-wide recognized standard for describing REST API's.
Please note: the endpoint documentation in this portal is not designed to be fully compatible with any automatic code generation tools.
Over the course of time the API, and policies regarding the API can and will change. These changes are subject to the following guidelines.
The following states hold true for the change policy for this API.
In regard to changes Loket will strive to adhere to the following notification periods per type of change. Due to our versioning strategy at resource level this API has the possibility to run multiple versions of the same resource at one time. This allows for a window in which both the old and new version are available. Allowing for a gradual move to the new version.
| Type of change | Notification period | Support period old version |
|---|---|---|
| Non breaking change | 2 weeks | no new version |
| Breaking change | 2 weeks | 6 months |
| Critical | Due to the nature of these changes we might not be able to follow the normal procedure for change managment | depends on the severity of the issue |
We define a non breaking change as follows. Any change to the API that does not cause failures in the applications that consume that API.
We define a breaking change as follows. any change to an API that could potentially cause failures in the applications that consume that API.
obsoleteDate of a version for a resourceThe Loket API uses two types of versioning. API versioning and resource versioning.
API versioning
API versioning is done via the path where after the domain URL (api.loket.nl) the path starts with the API version. The current version of the API is V2. The API version is expected to change rarely as resource versioning is available to tackle most issues that need versioning.
Resource versioning
Every JSON resource in the API is versioned via the Accept header.
Allowing users of the API to influence what version is returned by setting the mandatory accept header.
The Accept header of request should have a value like application/json;version=2018-01-01.
Here, the second part of the header is used to refer to a specific version of the resource (2018-01-01).
When calling the API it is possible to supply other dates rather than the exact resources version(s).
The businesslogic will select the version that is ON or BEFORE the given date. If no accept header with a resource version is given the newest version of the resource is returned
For example: let's say there are two versions of a resource.
These are 2018-01-01 and 2018-09-01. When calling the API you supply application/json;version=2018-08-01,
in that case the API will use the version 2018-01-01 as its the nearest version in the past.
A response returns what resourceVersion was used and the 'obsoleteDate' of that version (in most cases this is NULL).
The obsoleteDate indicates when the resources version will no longer be available via the API.
With the introduction of a new version of a resource the obsoleteDate for the old version will be set to 6 months after the introduction of the new resource.
Allowing consumers of the resource 6 months to incorporate the change. Failure to do so will likely lead to failure in the implementation.
In this developer portal you can find the service contracts for each, active, version of a resource. If, only if, there are multiple versions of a resource you can select the corresponding schema at that resource.
The changelog for this API can be found here.
We strongly advise every user ofthe Loket REST API the subscribe to the email feed. Please check out the link on the changelog page.
Your use and access to the API is expressly conditioned on your compliance with the policies and restrictions related to the API. If Loket believes that you have or attempted to violate any term, condition, or the spirit of these policies or agreements, your right to access and use the API may be temporarily or permanently revoked.
Authorization in the Loket API is based on the industry-standard OAuth 2.0 protocol. For general information on OAuth 2.0 we kindly refer to the publicly-available documentation, https://oauth.net/2/
An authorized user is required to call the Loket API.
Note: This is an SSL-only API.
Note: Only TLS 1.2 is supported.
| Environment | TokenUrl |
|---|---|
| Acceptance | https://oauth.loket-acc.nl/token |
| Production | https://oauth.loket.nl/token |
The following OAuth 2.0 flows are supported
For most clients only the authorization_code (and thus refresh_token) will be supported. Password grant type is not available for an external client.
Please click the link below to see documentation on implementing the authorization code flow by external clients.
Documentation on implementing the OAuth 2.0 authorization code flow
After the authorization code flow yields a refresh token the refresh_token grant can be used to obtain an access/bearer token. The expire time of the access/bearer is also returned in the response please take this into account. With the refresh token flow the two factor step will be skipped.
Refresh token request example:
POST /token
grant_type=refresh_token&refresh_token={RefreshToken123}&client_Id={Client123}&client_secret={Secret123}
Refresh token response example:
{
"access_token": "JESJDhMBy0NPTM9SiXmYAzW45clOiQ5wSyDq3VWluguGNoKym4WPSiJoTDx67TQ",
"token_type": "bearer",
"expires_in": 3599,
"refresh_token": "nGJtF6j6SeQbHAg",
"two_factor_state": "None"
}
The SSO (single sign-on) flow is based on OAuth 2.0 and requires the authorization flow to be completed.
For more information see: Documentation on OAuth 2.0 SSO flow (for allowed clients)
Please note: Among other things, it is possible to set up an SSO flow with both Loket en Werknemerloket.
The password flow is typically NOT enabled for external clients. Only by exception will the password flow be enabled for security (and practical) reasons.
Password token request examples:
POST /token
grant_type=password&username={UserName123}&password={Password123}&client_Id={Client123}&client_secret={Secret123}
Whether client_secret is required is dependent on the configuration of the client.
In this section we explain how the API authorization service determines if a request is authorized or not.
In almost all use-cases a Loket user should meet the following requirements to successfully setup an integration with that user.
How to setup an integration is described in the Authentication section.
Side notes:
The Loket API accepts and returns JSON. Comform the OpenAPI 3.0 specification the following data types are supported:
For most of these types, further specifications can be found in the format and pattern specifications in the service contract.
For example a format: date added to a string field indicates a valid date must be supplied.
Fields of the type 'metadata' are fields for which the possible values can be acquired via the metadata endpoint of the resource.
The metedata can be obtained by appending /metadata to the current endpoint. Using the GET verb the endpoint will return a JSON output with "all" the metadata for the given resource. In some cases multiple requests are needed to obtain all the metadata required, an exmple is given below. Typically different metadata endpoints are availalbe for the POST and the PUT endpoint.
If metadata endpoints are avaible for a given endpoint/resource is mentioned in the description of that endpoint.
{[
{
"field": "gender"
options: [
{
"key": 1,
"value":"Man"
}
{
"key": 2,
"value":"Vrouw"
}
]
},
{
"field": "country"
options: [
{
"isoCode":"NL",
"key": 530,
"value":"Nederland"
}
{
"isoCode":"BE",
"key": 540,
"value":"België"
}
]
}
]}
Acquiring metadata for a POST Wage
/v2/v2/providers/employers/employees/employments/{employmentId}/wages/metadata
Acquiring metadata for a PUT employee
/v2/v2/providers/employers/employees/{employeeId}/metadata
Multiple requests to get all the metadata
In some cases there are metadata fields dependant on the selected value off another metadata field. Such is the case when adding a new concept employee. This is done in the employer context while several of the metadata fields are dependant on the payrollAdministration context.
For example:
Request 1, first of a normal metadata request is performed. The response for this request will contain a list of payrolladministration for the given employer.
/v2/v2/providers/employers/b869ded6-0659-4d8d-9a8a-f9e22425ec9c/jobapplicant/metadata
Request 2, when a payrolladministration is selected perform a second request to acquire the payrolladministration specific metadata.
/v2/v2/providers/employers/jobapplicant/metadata/payrolladministration/54369214-14a1-41ab-892a-ea8438e34d6f
Request 3, if a payScale is selected perform a third request to acquire the payGrade for that payScale.
/v2/v2/providers/employers/jobapplicant/metadata/salaryScaleType/54369214-14a1-41ab-892a-ea8438e34d6f
We diferentiate between two types of metadata.
Note: some context specific metadata field can have multiple contexts.
For example: it is possible to define an export set in the provider context. Making that export set available for all payroll administrations linked to the provider. It is also possible to add an export set in the payroll administration context. That export set is only available to that payroll administration. When requesting the metadata of export set the user will be presented with a combined list of the provider and payroll administration export sets.
Many fields in the API have a default value.
In order to assist our API users to adhere to these defaults when creating a record (POST) we provide /defaults endpoints.
defaultsendpoint resembles a fully expanded GET-object of that resource. The only case when a part of the object is NOT fully expanded is for a metaData-object that does not have a default value (for example '"gender":NULL'). An example endpoint would be:
/v2/v2/providers/employers/employees/employments/{employmentId}/payrollperioddata/defaults
resulting in the following output:
{
"payrollPeriod": null,
"shift": {
"shiftNumber": 1
},
"payslipType": {
"key": 2
},
"payslipText": null,
"distributionUnit": {
"key": "b14acd0d-75d7-4fc8-8b22-4a3924585cab"
},
"costCenter": {
"key": 2
},
"costUnit": {
"key": 2
},
"payrollComponents": []
}
Note: Defaults endpoints are not yet generically available. If a Defaults endpoint exists this will be explicitly stated at that specific resource.
For most of the resources with a startDate and endDate a chain is maintained. Chain meaning that no records can overlap in time. Loket has two types of chains.
Broken chain: It is possible for gaps te exist between the records. It is also possible to add new records in between or before existing records aslong as no overlap occures.
Linked chain: No gaps between records are allowed. Its only possible to add new records to the end of the chain resulting in the closing of the reviouse record with the start date -1 as end date.
Note: Chains are sometimes maintained with an additional context. For example, For benefits and deductions the broken chain is maintained per payrollComponent.
It is possible to have multiple active records for different payrollComponent never two active records for the same payrollComponent.
For some GET (list) endpoints the API supports exporting (part of) the output JSON as a XML/CSV file. This is done by setting the X-ReportInput and Accept header.
The Accept header supports the following 2 options:
The X-ReportInput is a custom header that requires a JSON object with the following structure as input.
The 'fields' object contains one or more fields with the following properties:
3.1 For CSV: see https://learn.microsoft.com/en-us/dotnet/standard/base-types/custom-date-and-time-format-strings
3.2 For Excel: https://support.microsoft.com/en-us/office/number-format-codes-5026bbd6-04bc-48cd-bf33-80f18b4eae68
Example X-ReportInput:
{
"fileNameWithoutExtension":"MyExport",
"delimiter": ";",
"decimalSepartor": ",",
"fields":
[
{
"fieldName": "startDate",
"reportColumnName": "In dienst datum",
"format": "dd-MM-yyyy"
},
{
"fieldName": "personalDetails.firstName",
"reportColumnName": "First Name"
},
{
"fieldName": "personalDetails.lastName",
"reportColumnName": "Last Name"
}
]
}
Example request:
curl
--location
--request GET 'https://api.loket.nl/v2/v2/providers/employers/155c8440-8ff6-4776-98db-5d2243a073e3/employees?orderby=employeeNumber' \
--header 'Content-Type: application/json' \
--header 'Accept: text/csv;version=2020-08-18' \
--header 'X-ReportInput: {"FileNameWithoutExtension":"MyExport","Fields":[{"fieldName":"personalDetails.initials","reportColumnName":"Initials"},{"fieldName":"personalDetails.firstName","reportColumnName":"First name"},{"fieldName":"personalDetails.lastName","reportColumnName":"Last name"}]}' \--header 'Authorization: Bearer ZKoiC_g_NfYA3v0' \
A request to the Loket API consists of several components. Each of these components are discussed in this section.
The API can be accessed at https://api.loket.nl.
The version of the API is specified in the URL. The current version of the Loket API is version 2. To access version 2 of the API, one simply appends v2 to the base URL. The full base URL of the API is therefore https://api.loket.nl/v2.
The endpoints defined in the OpenAPI definition of the Loket API are appended to the base URL. For example, the endpoint /v2/providers/employers/{employerId}/employees can be accessed at https://api.loket.nl/v2/v2/providers/employers/{employerId}/employees.
Most endpoints require path parameter(s) in order to specify the context of the request. For example, the endpoint /v2/providers/employers/{employerId}/employees contains the employerId path parameter. A path parameter is a unique identifier that identifies a specific resource, in this case an employer.
The API supports two query parameters to control the pagination of the results: pageNumber and pageSize. Both of these query parameters only apply to endpoints that return lists of entities.
The pageNumber query parameter specifies which page of the collection to return. By default pageNumber is set to 1 which returns the first page of the collection. Note: the pageNumber refers to the page (with a given number of entities), NOT to a specific entity within a page!
The pageSize query parameter influences the number of entities per page. By default pageSize is set to 250. Note that this default may change in the future. It is not recommended to depend on this default when developing for the Loket API.
Examples:
?pageNumber=2 to return the second page?pageSize=2 to set the page size to twoThe API supports output filtering via the querystring parameter filter.
Filtering is possible on all fields of the following datatypes:
The following operators are available:
| Operator | Description | Example |
|---|---|---|
| Comparison Operators | ||
| eq | Equal | city eq 'Redmond' |
| ne | Not equal | city ne 'London' |
| lk | Like | city lk 'Lond' |
| gt | Greater than | price gt 20 |
| ge | Greater than or equal | price ge 10 |
| lt | Less than | price lt 20 |
| le | Less than or equal | price le 100 |
| Logical Operators | ||
| and | Logical and | price le 200 and price gt 3.5 |
| or | Logical or | price le 3.5 or price gt 200 |
Both field names and values are case insensitive. It is possible to filter on nested fields by adding the parent object before the field with a '.' to separate them. Do remember to URL encode the filter parameters.
All employments with a cancellation periode in months (the value 4 corresponds to months time unit).
/v2/v2/providers/employers/{{employerId}}/employees/employments?filter=cancellationPeriodTimeUnit.key eq 4
All employments with no endDate.s
/v2/v2/providers/employers/{{employerId}}/employees/employments?filter=enddate eq null
All employments with an end date less or equal to 2017-01-01
/v2/v2/providers/employers/{{employerId}}/employees/employments?filter=enddate le '2017-01-01'
All employees with a employee number greater or equal 1 and less or equal 5
/v2/v2/providers/employers/{{employerId}}/employees?filter=employeeNumber ge 1 and employeeNumber le 5
All Loket API resources support ordering of the elements in the response on a specific field. All fields can be used in ordering. The list can be ordered in ascending or descending order, with ascending being the default one. Ordering on multiple fields is also by using a ',' as a separator.
Order employers by company name ascending
/v2/v2/providers/employers?orderBy=companyName
Order employers by company name descending
/v2/v2/providers/employers?orderBy=-companyName
Order employers by company name descending then by house number ascending
/v2/v2/providers/employers?orderBy=-companyName,address.houseNumber
In order to access the endpoints of the Loket API, at least two request headers need to be set.
1) the Authorization header is required in order to authorize the API call.
The value of this header is the word Bearer followed by a space and the access token acquired from the /token endpoint.
For example, if the acquired access token is AbCdEf123456, the value of the Authorization headers would be:
Authorization: Bearer v69uloc3wcEFLePw2unot0FfAJfBocrvSwsrCo75JLUG7aE54zqSUnU
2) The second header that is required for proper usage of the API, is the Accept header.
This header is used for the resource versioning feature and is therefore crucial for making sure the response remains the same when new resource versions are introduced.
The value of the Accept header differs per endpoint is defined in the OpenAPI documentation of the endpoints.
Accept: application/json;version=2018-01-01
The loket API doest not trim strings on input. When a string field is given with leading or trailing spaces these spaces are preserved. Please take this into account when performing requests to the API. Perferably trim strings before sending them to the API.
In addition to the responses defined in the OpenAPI documentation, the Loket API also provides additional fields that give more information about the response and the entities requested. This section will explain the full response given by the Loket API by examining the example response below.
Example 400 response
{
"version": {
"obsoleteDate": null,
"resourceVersion": "2018-01-01"
},
"messages": [
{
"code": 83,
"id": null,
"type": "BrokenBusinessRule",
"description": "[field] has an invalid length",
"properties": []
}
]
}
Example 200 response
{
"totalSize": 1,
"pageSize": 250,
"totalPages": 1,
"currentPage": 1,
"version": {
"obsoleteDate": null,
"resourceVersion": "2018-01-01"
},
"messages": [],
"content": {
"id": "2b4c119c-527c-4cbb-a5b2-f3a11e4b76cx",
...
}
}
totalSize has an integer value indicating the total number of entities irrespective of the page size.
pageSize has an integer value indicating the maximum number of entities returned per page. The page size can be influenced by setting the pageSize query parameter. See the section Query Parameters for more information.
totalPages has an integer value indicating the number of pages the requested collection holds given the specific pagesize.
currentPage has an integer value indicating the current page number. The current page number can be influenced by setting the pageNumber query parameter. See the section Query Parameters for more information.
The version object provides information regarding the resource version of the entity requested.
obsoleteDate contains the date of discontinuation for the requested resource version. The value of this field can be null indicating that the requested resource version is not planned to be obsoleted at the time of the request.
resourceVersion shows the version of the requested entity. The resource version can be influenced by setting the Accept header.
The messages field contains a list of message objects related to the request made. Any warnings and errors will be communicated in this list of messages
type has a string value indicating the type of message. At this time the Loket API supports five types of messages: BrokenBusinessRule, Warning, Exception and NotFound .
description has a string value that describes the message that has occurred.
code is an identifying code for the message. Please note that this code may change in the future. See the documentation portal for possible message codes for an endpoint.
id relates the message to a specific entity in the reponse list. For example, in cases where a warning occurs for one of the entities in a list, the value of this field can be used to identify to which entity the warning applies. Currently implemented for endpoints where a multi-patch is performed (multiple actions are performed within one call) for example updating the status of one or more leaveRequests.
properties an array that can contain additional information regarding the message. Currently not yet fully implemented.
_embedded contains the list of entities as defined for each endpoint in the OpenAPI documentation. Please refer to that documentation for the contents of the _embedded field for each endpoint. For endpoints that return only one entity (detail endpoints) the _embedded field is replaced with a content field. The content of this field can also be found in the documentation for each endpoint.
Expires header is returned with every response to indicate how long a response can be cachedContent-Disposition header is used in case of downloads to provide a file nameThe Loket API supports the following http status codes.
| Code | Is returned when |
|---|---|
| 200 | The request to GET, PUT, PATCH or DELETE and object was recived and processed successfully. The response might still contain messages of the type warning. |
| 201 | The request to insert (POST) a new object was recived and processed successfully. The response might still contain messages of the type warning. |
| 400 | The request was received but could not be processed. The reason(s) will be given in the response. The content type of the response may be text/plain for API-level error messages, such as when trying to call the API without SSL otherwise the content will be application/json. |
| 401 | The bearer token provided in the authorization header is invalid. Do not retry the request until a new (valid) bearer token is acquired. |
| 403 | The user is not authorized to access the resource. The reason will be given in the response. Do not retry the request until the, configuration, issue is resolved. |
| 404 | The resource requested was not found/does not exist. |
| 50* | A unforseen error occurred. Please check the request if everything seems te be in order on your side contact the support team. Provide as much information as possible to resolve the issue. |
Note: for a limited number of endpoint a so-called multi-patch may be performed (multiple actions within one call). In that case the status code will be 200 if at least on of the actions succeeds, if other any action(s) in that call fail(s) a message will be returned including the given id of that entity.
The API uses the Expires header to indicate how long the item can be reused from the local cache.
In most cases caching is not allowed for resources.
Exceptions exist, such as pictures like the employer logo and the employee photo, in these cases the cache duration is mentioned in the description of the resource.
Activity name : GetProvidersByUser Get a list of all providers accessible to the current user. Note: With the current functioning of Loket, the list will always contain 1 provider. Note: This endpoint is typically not relevant for most external parties, as the GetEmployerByUser endpoint will be much more relevant as starting point.
| filter | string Example: filter=cancellationPeriodTimeUnit.key eq 4 Filter the collection |
| orderBy | string^-?\w+(,-?\w+)*$ Example: orderBy=-companyName,address.houseNumber Order the collection on one or more fields |
| pageNumber | integer <int32> Default: 1 Example: pageNumber=2 Specifies which page should be returned |
| pageSize | integer <int32> Default: 250 Example: pageSize=20 Specifies the number of objects per page |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "totalSize": 650,
- "pageSize": 250,
- "totalPages": 3,
- "currentPage": 2,
- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "_embedded": [
- {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "name": "Van Spaendonck Online B.V."
}
]
}Activity name : GetProviderLogo This activity is listed twice in the documentation due to the specified version caching path parameter. Including or exluding this parameter results in slightly different behaviour. Caching: This resource changes very infrequently and can be cached for a longer time. Get the logo of the provider of the user. In case no logo is know the service will return a 404.
| providerId required | string <uuid> The unique identifier of a provider |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "totalSize": 650,
- "pageSize": 250,
- "totalPages": 3,
- "currentPage": 2,
- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "BrokenBusinessRule",
- "description": "Invalid value for <field>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "_embedded": [
- { }
]
}Activity name : GetProviderLogo This activity is listed twice in the documentation due to the specified version caching path parameter. Including or exluding this parameter results in slightly different behaviour. Caching: This resource changes very infrequently and can be cached for a longer time. Get the logo of the provider of the user. In case no logo is know the service will return a 404.
| providerId required | string <uuid> The unique identifier of a provider |
| version required | string <uuid> An guid generated for caching. The value does not influence the output of this function. The provider/logo endpoint returns the URI of the current logo with the version. |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "totalSize": 650,
- "pageSize": 250,
- "totalPages": 3,
- "currentPage": 2,
- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "BrokenBusinessRule",
- "description": "Invalid value for <field>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "_embedded": [
- { }
]
}Activity name : GetProviderContactInformationByProviderId Haal de contactinformatie op van de opgegeven providerId. Bevat onder andere adres- en contactgegevens.
| providerId required | string <uuid> The unique identifier of a provider |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "name": "string",
- "contact": {
- "name": "string",
- "email": "string",
- "phonenumber": "string",
- "faxnumber": "string"
}, - "address": {
- "street": "string",
- "city": "string",
- "houseNumber": 0,
- "houseNumberAddition": "D",
- "furtherIndication": {
- "key": 0,
- "value": "string"
}, - "postalCode": "string",
- "location": "string",
- "country": {
- "key": 1,
- "value": "string",
- "isoCode": "NL"
}
}
}Activity name : GetProviderLogosByProviderId
Get a list of all logos that are available at providerlevel. Other endpoints can be used to set the logo as default for all employers or to set the logo as a aberrant provider logo at employer level.
| providerId required | string <uuid> The unique identifier of a provider |
| filter | string Example: filter=cancellationPeriodTimeUnit.key eq 4 Filter the collection |
| orderBy | string^-?\w+(,-?\w+)*$ Example: orderBy=-companyName,address.houseNumber Order the collection on one or more fields |
| pageNumber | integer <int32> Default: 1 Example: pageNumber=2 Specifies which page should be returned |
| pageSize | integer <int32> Default: 250 Example: pageSize=20 Specifies the number of objects per page |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "totalSize": 650,
- "pageSize": 250,
- "totalPages": 3,
- "currentPage": 2,
- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "_embedded": [
- {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "attribute": "Logo 1",
- "name": "ProviderLogo",
}
]
}Activity name : PostProviderLogoByProviderId
Upload a logo at providerlevel. Other endpoints can be used to set the logo as default for all employers or to set the logo as a aberrant provider logo at employer level.
| providerId required | string <uuid> The unique identifier of a provider |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
Logo to be uploaded for the provider.
| attribute | string <= 10 characters the attribute of the logo. |
| name | string <= 50 characters The name of the logo. |
| data | string base64 encoded document file. |
| mimeType | string The mimetype of the data. |
{- "attribute": "Logo 1",
- "name": "ProviderLogo",
- "data": "YQ==",
- "mimeType": "image/jpeg"
}{- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "content": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "attribute": "Logo 1",
- "name": "ProviderLogo",
- "data": "YQ==",
- "mimeType": "image/jpeg"
}
}Activity name : GetProviderLogoByLogoId
Get a logo that is available at providerlevel. Other endpoints can be used to set the logo as default for all employers or to set the logo as a aberrant provider logo at employer level.
| logoId required | string <uuid> The unique identifier of a logo |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "content": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "attribute": "Logo 1",
- "name": "ProviderLogo",
- "data": "YQ==",
- "mimeType": "image/jpeg"
}
}Activity name : PutProviderLogoByLogoId
Edit a logo at providerlevel. Other endpoints can be used to set the logo as default for all employers or to set the logo as a aberrant provider logo at employer level.
| logoId required | string <uuid> The unique identifier of a logo |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
| attribute | string <= 10 characters the attribute of the logo. |
| name | string <= 50 characters The name of the logo. |
| data | string base64 encoded document file. |
| mimeType | string The mimetype of the data. |
{- "attribute": "Logo 1",
- "name": "ProviderLogo",
- "data": "YQ==",
- "mimeType": "image/jpeg"
}{- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "content": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "attribute": "Logo 1",
- "name": "ProviderLogo",
- "data": "YQ==",
- "mimeType": "image/jpeg"
}
}Activity name : DeleteProviderLogoByLogoId
| logoId required | string <uuid> The unique identifier of a logo |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "BrokenBusinessRule",
- "description": "Invalid value for <field>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "content": { }
}Activity name : GetProviderLogoOnlyByLogoId
Get the logo that is available at providerlevel, without additional properties. Other endpoints can be used to set the logo as default for all employers or to set the logo as a aberrant provider logo at employer level.
| logoId required | string <uuid> The unique identifier of a logo |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "message": "Authorization has been denied for this request."
}Activity name : GetEmployersByUserId
Get a list of all employers accessible to the current user
Please note the following general remark regarding the Loket API. If an id is required as a path parameter, in almost all cases the UUID of the specific resource should be used. In the employer resource this corresponds to the the 'id' field, as is typical. (so do NOT use employerNumber as your path parameter for any following requests)
| filter | string Example: filter=cancellationPeriodTimeUnit.key eq 4 Filter the collection |
| orderBy | string^-?\w+(,-?\w+)*$ Example: orderBy=-companyName,address.houseNumber Order the collection on one or more fields |
| pageNumber | integer <int32> Default: 1 Example: pageNumber=2 Specifies which page should be returned |
| pageSize | integer <int32> Default: 250 Example: pageSize=20 Specifies the number of objects per page |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "totalSize": 650,
- "pageSize": 250,
- "totalPages": 3,
- "currentPage": 2,
- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "_embedded": [
- {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "employerNumber": 20720,
- "companyName": "Voorbeeld B.V.",
- "chamberOfCommerceNumber": "18124676",
- "sbi": {
- "key": 12,
- "value": "Agriculture, Forestry and Fishing",
- "sbiCode": "0116"
}, - "legalForm": {
- "key": 1,
- "value": "B.V."
}, - "branch": {
- "key": 2,
- "value": "Landbouw en jacht"
}, - "providerSettings": {
- "administrationNumber": "SR2",
- "groupCode": 40,
- "parentEmployerForConsolidatedOverviews": 9933,
- "sendEmailWhenSalarySlipIsAvailable": true
}, - "contact": {
- "name": "Henk de Vries",
- "phoneNumber": "013-12345678",
- "function": "Manager"
}, - "contactInformation": {
- "faxNumber": "(088) 31 11149",
- "phoneNumber": "(088) 31 11150",
- "website": "www.voorbeeldbv.nl"
}, - "address": {
- "street": "Voordijk",
- "city": "Leiden",
- "houseNumber": 12,
- "houseNumberAddition": "D",
- "furtherIndication": {
- "key": 1,
- "value": "WW"
}, - "postalCode": "1234AA",
- "location": "Fourth floor or building C",
- "country": {
- "key": 1,
- "value": "Netherlands",
- "isoCode": "NL"
}, - "province": {
- "key": 1,
- "value": "Noord-Holland"
}
}, - "deviatingPostalAddress": {
- "street": "Voordijk",
- "city": "Leiden",
- "houseNumber": 12,
- "houseNumberAddition": "D",
- "furtherIndication": {
- "key": 1,
- "value": "WW"
}, - "postalCode": "1234 AA",
- "location": "Fourth floor or building C",
- "country": {
- "key": 1,
- "value": "Netherlands",
- "isoCode": "NL"
}, - "poBox": 5000
}
}
]
}Activity name : GetEmployersMinimizedByUserId
Get a list of all employers accessible to the current user. With this endpoint we introduced the "Minimized" resource which contains fewer fields then /v2/providers/employers. This version should increase performance when requesting employments for large employers.
| filter | string Example: filter=cancellationPeriodTimeUnit.key eq 4 Filter the collection |
| orderBy | string^-?\w+(,-?\w+)*$ Example: orderBy=-companyName,address.houseNumber Order the collection on one or more fields |
| pageNumber | integer <int32> Default: 1 Example: pageNumber=2 Specifies which page should be returned |
| pageSize | integer <int32> Default: 250 Example: pageSize=20 Specifies the number of objects per page |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "totalSize": 650,
- "pageSize": 250,
- "totalPages": 3,
- "currentPage": 2,
- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "_embedded": [
- {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "companyName": "Voorbeeld B.V.",
- "address": {
- "street": "Voordijk",
- "houseNumber": 12,
- "postalCode": "1234AA",
- "city": "Leiden"
}, - "providerSettings": {
- "administrationNumber": "SR2",
- "groupCode": 40
}, - "contactInformation": {
- "phoneNumber": "(088) 31 11150"
}, - "contact": {
- "name": "Henk de Vries",
- "phoneNumber": "013-12345678"
}, - "branch": {
- "key": 2,
- "value": "Landbouw en jacht"
}, - "employerNumber": 20720
}
]
}Activity name : PostEmployerByProviderId
Create an employee for the provider (administratiekantoor) identified by the given providerId. Please take note of the following; a newly created Employer is not immediately accessible for the user. As this would require adding the Employer to a specific Loket team (which is a separate activity). Even after adding the Employer to a team, it may take a few minutes before the Employer is accessible for the user because of caching.
Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the POST URL.
Defaults : Default values for a new object can be acquired by adding `/defaults' to the POST URL.
| providerId required | string <uuid> The unique identifier of a provider |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
Employer to be created.
| companyName | string (companyName) <= 70 characters Name of the company |
| chamberOfCommerceNumber | string or null (chamberOfCommerceNumber) <= 35 characters Chamber of commerce number. In Dutch "Kamer van koophandel" number |
object or null <metadata> (sbi) The 'Standard Industrial Classifications (Dutch SBI 2008, NACE and ISIC)' as defined bij the Dutch chamber of commerce | |
object or null <metadata> (legalForm) | |
object or null <metadata> (branch) | |
object (providerSettings) | |
object or null (schemas-contact) | |
object or null (components-schemas-contactInformation) | |
object (address) | |
object or null (deviatingPostalAddress) |
{- "companyName": "Voorbeeld B.V.",
- "chamberOfCommerceNumber": "18124676",
- "sbi": {
- "key": 12
}, - "legalForm": {
- "key": 1
}, - "branch": {
- "key": 2
}, - "providerSettings": {
- "administrationNumber": "SR2",
- "groupCode": 40,
- "parentEmployerForConsolidatedOverviews": 9933,
- "sendEmailWhenSalarySlipIsAvailable": true
}, - "contact": {
- "name": "Henk de Vries",
- "phoneNumber": "013-12345678",
- "function": "Manager"
}, - "contactInformation": {
- "faxNumber": "(088) 31 11149",
- "phoneNumber": "(088) 31 11150",
- "website": "www.voorbeeldbv.nl"
}, - "address": {
- "street": "Voordijk",
- "city": "Leiden",
- "houseNumber": 12,
- "houseNumberAddition": "D",
- "furtherIndication": {
- "key": 1
}, - "postalCode": "1234AA",
- "location": "Fourth floor or building C",
- "country": {
- "key": 1
}, - "province": {
- "key": 1
}
}, - "deviatingPostalAddress": {
- "street": "Voordijk",
- "city": "Leiden",
- "houseNumber": 12,
- "houseNumberAddition": "D",
- "furtherIndication": {
- "key": 1
}, - "postalCode": "1234 AA",
- "location": "Fourth floor or building C",
- "country": {
- "key": 1
}, - "poBox": 5000
}
}{- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "content": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "employerNumber": 20720,
- "companyName": "Voorbeeld B.V.",
- "chamberOfCommerceNumber": "18124676",
- "sbi": {
- "key": 12,
- "value": "Agriculture, Forestry and Fishing",
- "sbiCode": "0116"
}, - "legalForm": {
- "key": 1,
- "value": "B.V."
}, - "branch": {
- "key": 2,
- "value": "Landbouw en jacht"
}, - "providerSettings": {
- "administrationNumber": "SR2",
- "groupCode": 40,
- "parentEmployerForConsolidatedOverviews": 9933,
- "sendEmailWhenSalarySlipIsAvailable": true
}, - "contact": {
- "name": "Henk de Vries",
- "phoneNumber": "013-12345678",
- "function": "Manager"
}, - "contactInformation": {
- "faxNumber": "(088) 31 11149",
- "phoneNumber": "(088) 31 11150",
- "website": "www.voorbeeldbv.nl"
}, - "address": {
- "street": "Voordijk",
- "city": "Leiden",
- "houseNumber": 12,
- "houseNumberAddition": "D",
- "furtherIndication": {
- "key": 1,
- "value": "WW"
}, - "postalCode": "1234AA",
- "location": "Fourth floor or building C",
- "country": {
- "key": 1,
- "value": "Netherlands",
- "isoCode": "NL"
}, - "province": {
- "key": 1,
- "value": "Noord-Holland"
}
}, - "deviatingPostalAddress": {
- "street": "Voordijk",
- "city": "Leiden",
- "houseNumber": 12,
- "houseNumberAddition": "D",
- "furtherIndication": {
- "key": 1,
- "value": "WW"
}, - "postalCode": "1234 AA",
- "location": "Fourth floor or building C",
- "country": {
- "key": 1,
- "value": "Netherlands",
- "isoCode": "NL"
}, - "poBox": 5000
}
}
}Activity name : GetEmployersMinimizedByProviderId
Get a list of all employers for the provider.
| providerId required | string <uuid> The unique identifier of a provider |
| filter | string Example: filter=cancellationPeriodTimeUnit.key eq 4 Filter the collection |
| orderBy | string^-?\w+(,-?\w+)*$ Example: orderBy=-companyName,address.houseNumber Order the collection on one or more fields |
| pageNumber | integer <int32> Default: 1 Example: pageNumber=2 Specifies which page should be returned |
| pageSize | integer <int32> Default: 250 Example: pageSize=20 Specifies the number of objects per page |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "totalSize": 650,
- "pageSize": 250,
- "totalPages": 3,
- "currentPage": 2,
- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "_embedded": [
- {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "companyName": "Voorbeeld B.V.",
- "address": {
- "street": "Voordijk",
- "houseNumber": 12,
- "postalCode": "1234AA",
- "city": "Leiden"
}, - "providerSettings": {
- "administrationNumber": "SR2",
- "groupCode": 40
}, - "contactInformation": {
- "phoneNumber": "(088) 31 11150"
}, - "contact": {
- "name": "Henk de Vries",
- "phoneNumber": "013-12345678"
}, - "branch": {
- "key": 2,
- "value": "Landbouw en jacht"
}, - "employerNumber": 20720
}
]
}Activity name : GetInformationForAddEmployerWizardByProviderId
Get information to determine which steps of the add employer wizard the loged in user can perform.
| providerId required | string <uuid> The unique identifier of a provider |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "content": {
- "isAuthorizedToManageEmployerAuthorizationGroups": true,
- "isAuthorizedToManageEmployerModules": true,
- "isAuthorizedToAddPayrollAdministrations": true
}
}Activity name : GetEmployerByEmployerId
Get the details of a single employers
| employerId required | string <uuid> The unique identifier of the employer |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "content": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "employerNumber": 20720,
- "companyName": "Voorbeeld B.V.",
- "chamberOfCommerceNumber": "18124676",
- "sbi": {
- "key": 12,
- "value": "Agriculture, Forestry and Fishing",
- "sbiCode": "0116"
}, - "legalForm": {
- "key": 1,
- "value": "B.V."
}, - "branch": {
- "key": 2,
- "value": "Landbouw en jacht"
}, - "providerSettings": {
- "administrationNumber": "SR2",
- "groupCode": 40,
- "parentEmployerForConsolidatedOverviews": 9933,
- "sendEmailWhenSalarySlipIsAvailable": true
}, - "contact": {
- "name": "Henk de Vries",
- "phoneNumber": "013-12345678",
- "function": "Manager"
}, - "contactInformation": {
- "faxNumber": "(088) 31 11149",
- "phoneNumber": "(088) 31 11150",
- "website": "www.voorbeeldbv.nl"
}, - "address": {
- "street": "Voordijk",
- "city": "Leiden",
- "houseNumber": 12,
- "houseNumberAddition": "D",
- "furtherIndication": {
- "key": 1,
- "value": "WW"
}, - "postalCode": "1234AA",
- "location": "Fourth floor or building C",
- "country": {
- "key": 1,
- "value": "Netherlands",
- "isoCode": "NL"
}, - "province": {
- "key": 1,
- "value": "Noord-Holland"
}
}, - "deviatingPostalAddress": {
- "street": "Voordijk",
- "city": "Leiden",
- "houseNumber": 12,
- "houseNumberAddition": "D",
- "furtherIndication": {
- "key": 1,
- "value": "WW"
}, - "postalCode": "1234 AA",
- "location": "Fourth floor or building C",
- "country": {
- "key": 1,
- "value": "Netherlands",
- "isoCode": "NL"
}, - "poBox": 5000
}
}
}Activity name: PutEmployerByEmployerId
Edit the details of an employer
Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the PUT URL.
| employerId required | string <uuid> The unique identifier of the employer |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
Employer
| companyName | string (companyName) <= 70 characters Name of the company |
| chamberOfCommerceNumber | string or null (chamberOfCommerceNumber) <= 35 characters Chamber of commerce number. In Dutch "Kamer van koophandel" number |
object or null <metadata> (sbi) The 'Standard Industrial Classifications (Dutch SBI 2008, NACE and ISIC)' as defined bij the Dutch chamber of commerce | |
object or null <metadata> (legalForm) | |
object or null <metadata> (branch) | |
object (providerSettings) | |
object or null (schemas-contact) | |
object or null (components-schemas-contactInformation) | |
object (address) | |
object or null (deviatingPostalAddress) |
{- "companyName": "Voorbeeld B.V.",
- "chamberOfCommerceNumber": "18124676",
- "sbi": {
- "key": 12
}, - "legalForm": {
- "key": 1
}, - "branch": {
- "key": 2
}, - "providerSettings": {
- "administrationNumber": "SR2",
- "groupCode": 40,
- "parentEmployerForConsolidatedOverviews": 9933,
- "sendEmailWhenSalarySlipIsAvailable": true
}, - "contact": {
- "name": "Henk de Vries",
- "phoneNumber": "013-12345678",
- "function": "Manager"
}, - "contactInformation": {
- "faxNumber": "(088) 31 11149",
- "phoneNumber": "(088) 31 11150",
- "website": "www.voorbeeldbv.nl"
}, - "address": {
- "street": "Voordijk",
- "city": "Leiden",
- "houseNumber": 12,
- "houseNumberAddition": "D",
- "furtherIndication": {
- "key": 1
}, - "postalCode": "1234AA",
- "location": "Fourth floor or building C",
- "country": {
- "key": 1
}, - "province": {
- "key": 1
}
}, - "deviatingPostalAddress": {
- "street": "Voordijk",
- "city": "Leiden",
- "houseNumber": 12,
- "houseNumberAddition": "D",
- "furtherIndication": {
- "key": 1
}, - "postalCode": "1234 AA",
- "location": "Fourth floor or building C",
- "country": {
- "key": 1
}, - "poBox": 5000
}
}{- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "content": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "employerNumber": 20720,
- "companyName": "Voorbeeld B.V.",
- "chamberOfCommerceNumber": "18124676",
- "sbi": {
- "key": 12,
- "value": "Agriculture, Forestry and Fishing",
- "sbiCode": "0116"
}, - "legalForm": {
- "key": 1,
- "value": "B.V."
}, - "branch": {
- "key": 2,
- "value": "Landbouw en jacht"
}, - "providerSettings": {
- "administrationNumber": "SR2",
- "groupCode": 40,
- "parentEmployerForConsolidatedOverviews": 9933,
- "sendEmailWhenSalarySlipIsAvailable": true
}, - "contact": {
- "name": "Henk de Vries",
- "phoneNumber": "013-12345678",
- "function": "Manager"
}, - "contactInformation": {
- "faxNumber": "(088) 31 11149",
- "phoneNumber": "(088) 31 11150",
- "website": "www.voorbeeldbv.nl"
}, - "address": {
- "street": "Voordijk",
- "city": "Leiden",
- "houseNumber": 12,
- "houseNumberAddition": "D",
- "furtherIndication": {
- "key": 1,
- "value": "WW"
}, - "postalCode": "1234AA",
- "location": "Fourth floor or building C",
- "country": {
- "key": 1,
- "value": "Netherlands",
- "isoCode": "NL"
}, - "province": {
- "key": 1,
- "value": "Noord-Holland"
}
}, - "deviatingPostalAddress": {
- "street": "Voordijk",
- "city": "Leiden",
- "houseNumber": 12,
- "houseNumberAddition": "D",
- "furtherIndication": {
- "key": 1,
- "value": "WW"
}, - "postalCode": "1234 AA",
- "location": "Fourth floor or building C",
- "country": {
- "key": 1,
- "value": "Netherlands",
- "isoCode": "NL"
}, - "poBox": 5000
}
}
}Activity name : GetChildEmployersByEmployerId
Get a list of all employers accessible to the current user which are a child of the provided employer.
| employerId required | string <uuid> The unique identifier of the employer |
| filter | string Example: filter=cancellationPeriodTimeUnit.key eq 4 Filter the collection |
| orderBy | string^-?\w+(,-?\w+)*$ Example: orderBy=-companyName,address.houseNumber Order the collection on one or more fields |
| pageNumber | integer <int32> Default: 1 Example: pageNumber=2 Specifies which page should be returned |
| pageSize | integer <int32> Default: 250 Example: pageSize=20 Specifies the number of objects per page |
| includeParent | boolean Example: includeParent=true Determines whether the information of the parent employer should be included in the response. If not provided, this parameter defaults to |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "totalSize": 650,
- "pageSize": 250,
- "totalPages": 3,
- "currentPage": 2,
- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "_embedded": [
- {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "employerNumber": 20720,
- "companyName": "Voorbeeld B.V.",
- "providerSettings": {
- "parentEmployerForConsolidatedOverviews": 9933
}
}
]
}Activity name : GetEmployerLogoByEmployerId
This activity is listed twice in the documentation due to the specified version caching path parameter. Including or exluding this parameter results in slightly different behaviour.
Caching: This resource changes very infrequently and can be cached for a longer period.
Get the logo of the employer. In case no logo is know the service will return a 404.
| employerId required | string <uuid> The unique identifier of the employer |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "message": "Authorization has been denied for this request."
}Activity name: DeleteEmployerLogoByEmployerId
Delete the logo of an employer
| employerId required | string <uuid> The unique identifier of the employer |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "BrokenBusinessRule",
- "description": "Invalid value for <field>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "content": { }
}Activity name : PostEmployerLogoByEmployerId
Upload a logo for the employer.
| employerId required | string <uuid> The unique identifier of the employer |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
Logo to be uploaded for the employer.
| data | string base64 encoded document file. |
| mimeType | string The mimetype of the data. |
{- "data": "YQ==",
- "mimeType": "image/jpeg"
}{- "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
]
}Activity name : GetEmployerLogoByEmployerId
This activity is listed twice in the documentation due to the specified version caching path parameter. Including or exluding this parameter results in slightly different behaviour.
Caching: This resource changes very infrequently and can be cached for a longer period.
Get the logo of the employer. In case no logo is know the service will return a 404.
| employerId required | string <uuid> The unique identifier of the employer |
| version required | string <uuid> An optional guid generated for caching. The value does not influence the output of this function. The Employer resource returns the URI of the current logo. |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "message": "Authorization has been denied for this request."
}Activity name : GetProviderLogoByEmployerId
This activity is listed twice in the documentation due to the specified version caching path parameter. Including or exluding this parameter results in slightly different behaviour.
Get the (deviating) provider logo of the employers. In case no logo is know the service will return a 404.
Caching: This resource changes very infrequently and can be cached for a longer time.
| employerId required | string <uuid> The unique identifier of the employer |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "message": "Authorization has been denied for this request."
}Activity name : GetProviderLogoByEmployerId
This activity is listed twice in the documentation due to the specified version caching path parameter. Including or exluding this parameter results in slightly different behaviour.
Get the (deviating) provider logo of the employers. In case no logo is know the service will return a 404.
Caching: This resource changes very infrequently and can be cached for a longer time.
| employerId required | string <uuid> The unique identifier of the employer |
| version required | string <uuid> An optional guid generated for caching. The value does not influence the output of this function. The Employer resource returns the URI of the current logo. |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "message": "Authorization has been denied for this request."
}NL: Administratie. Retrieve information about all administrations, both payroll administrations and non-payroll administrations.
Activity name : GetAdministrationsByEmployerId
Get a list of all administrations (both payroll and non-payroll) for an employer. This endpoint only returns properties that are shared between payroll and non-payroll administrations. For more detailed properties, use the respective endpoints for payroll and non-payroll administrations.
| employerId required | string <uuid> The unique identifier of the employer |
| filter | string Example: filter=cancellationPeriodTimeUnit.key eq 4 Filter the collection |
| orderBy | string^-?\w+(,-?\w+)*$ Example: orderBy=-companyName,address.houseNumber Order the collection on one or more fields |
| pageNumber | integer <int32> Default: 1 Example: pageNumber=2 Specifies which page should be returned |
| pageSize | integer <int32> Default: 250 Example: pageSize=20 Specifies the number of objects per page |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "totalSize": 650,
- "pageSize": 250,
- "totalPages": 3,
- "currentPage": 2,
- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "_embedded": [
- {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "clientNumber": 1234,
- "wageTaxNumber": "111111110L00",
- "description": "Bakker",
- "startDate": "2016-01-01",
- "endDate": "2020-12-31",
- "isPayrollAdministration": true,
- "employerId": "b14acd0d-75d7-4fc8-8b22-4a3924585cab"
}
]
}Activity name : GetAdministrationsByBearerToken
Get a list of all administrations (both payroll and non-payroll) the user has access to. For more detailed properties, use the respective endpoints for payroll and non-payroll administrations.
| filter | string Example: filter=cancellationPeriodTimeUnit.key eq 4 Filter the collection |
| orderBy | string^-?\w+(,-?\w+)*$ Example: orderBy=-companyName,address.houseNumber Order the collection on one or more fields |
| pageNumber | integer <int32> Default: 1 Example: pageNumber=2 Specifies which page should be returned |
| pageSize | integer <int32> Default: 250 Example: pageSize=20 Specifies the number of objects per page |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "totalSize": 650,
- "pageSize": 250,
- "totalPages": 3,
- "currentPage": 2,
- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "_embedded": [
- {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "clientNumber": 1234,
- "wageTaxNumber": "111111110L00",
- "description": "Bakker",
- "startDate": "2016-01-01",
- "endDate": "2020-12-31",
- "isPayrollAdministration": true,
- "employerId": "b14acd0d-75d7-4fc8-8b22-4a3924585cab"
}
]
}Activity name : GetEmploymentsByEmployerId
Get a list of employments for an employer
This endpoint only returns the employments that meet the filter settings set at the user level. Note that filter settings are set for a user <-> employer <-> client combination.
| employerId required | string <uuid> The unique identifier of the employer |
| filter | string Example: filter=cancellationPeriodTimeUnit.key eq 4 Filter the collection |
| orderBy | string^-?\w+(,-?\w+)*$ Example: orderBy=-companyName,address.houseNumber Order the collection on one or more fields |
| pageNumber | integer <int32> Default: 1 Example: pageNumber=2 Specifies which page should be returned |
| pageSize | integer <int32> Default: 250 Example: pageSize=20 Specifies the number of objects per page |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "totalSize": 650,
- "pageSize": 250,
- "totalPages": 3,
- "currentPage": 2,
- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "_embedded": [
- {
- "employee": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "employeeNumber": 156,
- "firstName": "Susan",
- "initials": "S.L.",
- "prefix": "van",
- "lastName": "Bergen",
- "prefixPartner": "van de",
- "lastNamePartner": "Wiel",
- "formattedName": "Wiel - van Bergen S.L. van de",
- "dateOfBirth": "1995-05-21",
}, - "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "2018-01-01",
- "historicalStartDate": "2012-05-01",
- "commissionUntilDate": "2019-01-01",
- "endDate": "2018-10-23",
- "endOfEmploymentReason": {
- "key": 1,
- "value": "VUT"
}, - "endOfEmploymentReasonTaxAuthorities": {
- "key": 1,
- "value": "Beëindiging arbeidsovereenkomst met wederzijds goedvinden op initiatief van de werkgever."
}, - "endOfEmploymentDueToIllness": false,
- "firstDayNotification": false,
- "payrollAdministration": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "name": "ABC accountants",
- "clientNumber": 1234,
- "description": "Bakker"
}, - "nonPayrollAdministration": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "name": "HR only employees",
- "description": "Bakker"
}, - "administration": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "name": "ABC accountants",
- "clientNumber": 1234,
- "description": "Bakker",
- "administrationType": "payrollAdministration"
}, - "typeOfEmployee": {
- "key": 1,
- "value": "Werknemer"
}, - "employmentCategoryType": {
- "key": 1,
- "value": "Ouderschapsverlof"
}, - "linkedEmployment": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "employmentDurationType": {
- "key": 1,
- "value": "Contract of indefinite duration"
}, - "startDateContractOfIndefiniteDuration": "2018-05-08",
- "employmentContractType": {
- "key": 1,
- "value": "Arbeidsovereenkomst (excl BBL)"
}, - "vacationCoupons": {
- "key": 1,
- "value": "n.v.t."
}, - "sendToExternalParty": {
- "key": 1,
- "value": "n.v.t."
}, - "deviatingCLAExternalParty": 2,
- "deviatingCLATaxReturn": 2,
- "incomeRelationshipNumber": 12,
- "employeeProfileId": {
- "key": 1,
- "value": "Profiel full-timers"
}, - "professionCode": 4,
- "exemptionWorkRelatedExpenseScheme": false,
- "exemptionPremiumWaiverMarginalLabour": false,
- "typeOfParticipation": {
- "key": 0,
- "value": "n.vt."
}, - "valueOfParticipation": {
- "key": 0,
- "value": "n.v.t."
}, - "wachtgeldOldRegulation": false,
- "participation55plusRegulationUWV": false,
- "essMutationSet": {
- "key": 1,
- "value": "Standaard"
}, - "exemptionInsuranceObligation": {
- "key": 0,
- "value": "Geen uitzondering."
}, - "specialIncomeRatio": {
- "key": 0,
- "value": "n.v.t."
}, - "temporaryTaxExemption": {
- "key": 2,
- "value": "Nee."
}, - "periodPayGradeAdjustment": 2,
- "signalPayGradeAdjustment": false,
- "commissionUntilDate1": "2018-05-31",
- "commissionUntilDate2": "2018-05-31",
- "commissionUntilDate3": "2018-05-31",
- "commissionUntilDate4": "2018-05-31",
- "commissionUntilDate5": "2018-05-31",
- "commissionUntilDate6": "2018-05-31",
- "isDirectorAndMajorShareholder": false,
- "isPreviousOwner": false,
- "isFamilyOfOwner": false,
- "isOnCallEmployment": true,
- "hasOnCallAppearanceObligation": true,
- "isGemoedsbezwaardNationalInsurance": true,
- "isGemoedsbezwaardEmployeeInsurance": true,
- "isAnonymousEmployee": true,
- "cancellationPeriodEmployee": 1,
- "cancellationPeriodEmployer": 1,
- "cancellationPeriodTimeUnit": {
- "key": 4,
- "value": "Maand(en)"
}, - "cancellationNoticeDate": "2018-05-31",
- "startCancellationNoticePeriod": "2018-06-01",
- "payrollId": 2,
- "namePayslip": "Steve Jobs",
- "calculateWorkingHours": true,
- "writtenEmploymentContract": true
}
]
}Activity name : GetEmploymentsMinimizedByEmployerId
Get a list of employments for an employer. With this version we introduced the "Minimized" resource which contains fewer fields. This version should increase performance when requesting employments for large employer.
This endpoint only returns the employments that meet the filter settings set at the user level. Note that filter settings are set for a user <-> employer <-> client combination.
| employerId required | string <uuid> The unique identifier of the employer |
| filter | string Example: filter=cancellationPeriodTimeUnit.key eq 4 Filter the collection |
| orderBy | string^-?\w+(,-?\w+)*$ Example: orderBy=-companyName,address.houseNumber Order the collection on one or more fields |
| pageNumber | integer <int32> Default: 1 Example: pageNumber=2 Specifies which page should be returned |
| pageSize | integer <int32> Default: 250 Example: pageSize=20 Specifies the number of objects per page |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "totalSize": 650,
- "pageSize": 250,
- "totalPages": 3,
- "currentPage": 2,
- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "_embedded": [
- {
- "employee": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "employeeNumber": 156,
- "firstName": "Susan",
- "formattedName": "Wiel - van Bergen S.L. van de",
- "dateOfBirth": "1995-05-21",
- "fullLastName": "van de Wiel van Bergen"
}, - "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "2018-01-01",
- "commissionUntilDate": "2019-01-01",
- "endDate": "2018-10-23",
- "payrollAdministration": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "name": "ABC accountants",
- "clientNumber": 1234,
- "description": "Bakker"
}, - "nonPayrollAdministration": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "name": "HR only employees",
- "description": "Bakker"
}, - "employmentDurationType": {
- "key": 1,
- "value": "Contract of indefinite duration"
}, - "incomeRelationshipNumber": 12,
- "payrollId": 2
}
]
}Activity name : GetEmploymentsComprehensiveByEmployerId
Availability: This is endpoint is available for the Loket application only. It is not available for external parties
Get a list of employments for an employer. With this version we introduced the "Comprehensive" resource which contains additional entities.
This endpoint only returns the employments that meet the filter settings set at the user level. Note that filter settings are set for a user <-> employer <-> client combination.
| employerId required | string <uuid> The unique identifier of the employer |
| referenceDate | string <date> Example: referenceDate=2022-01-01 Set a reference date for choosing the date dependent data. |
| removeEmptyLines | boolean Example: removeEmptyLines=true When true and combined with a X-ReportInput header, the output only contains employments for which selected underlying data, such as wage, is available. |
| includeHistoricAndFutureData | boolean Default: false Example: includeHistoricAndFutureData=true If set to true, historic and future records will also be returned |
| filter | string Example: filter=cancellationPeriodTimeUnit.key eq 4 Filter the collection |
| orderBy | string^-?\w+(,-?\w+)*$ Example: orderBy=-companyName,address.houseNumber Order the collection on one or more fields |
| pageNumber | integer <int32> Default: 1 Example: pageNumber=2 Specifies which page should be returned |
| pageSize | integer <int32> Default: 250 Example: pageSize=20 Specifies the number of objects per page |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "totalSize": 650,
- "pageSize": 250,
- "totalPages": 3,
- "currentPage": 2,
- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "_embedded": [
- {
- "employee": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "employeeNumber": 156,
- "personalDetails": {
- "firstName": "Susan",
- "lastName": "Bergen",
- "prefix": "van",
- "initials": "S.L.",
- "lastNamePartner": "Wiel",
- "prefixPartner": "van de",
- "formattedName": "Wiel - van Bergen S.L. van de",
- "dateOfBirth": "1995-05-21",
- "placeOfBirth": "Amsterdam",
- "dateOfDeath": "2019-08-24",
- "aowDate": "2062-08-21",
- "howToFormatLastName": {
- "key": 2,
- "value": "last name + last name partner"
}, - "title": {
- "key": 2,
- "value": "e.g. Msc, PHD or Baron"
}, - "nationality": {
- "key": 2,
- "value": "Dutch"
}, - "gender": {
- "key": 2,
- "value": "female"
}, - "civilStatus": {
- "key": 2,
- "value": "Maried"
}
}, - "contactInformation": {
- "phoneNumber": "+31 13-1234567",
- "mobilePhoneNumber": "+31 6-1231456",
- "faxNumber": "+31 13-1234561",
- "businessPhoneNumber": "+31 13-1234567",
- "businessMobilePhoneNumber": "+31 6-1231456",
- "businessEmailAddress": "[email protected]"
}, - "identityDocument": {
- "typeOfDocument": {
- "key": 2,
- "value": "Passport"
}, - "documentIdentification": "CRE45553433"
}, - "travel": {
- "travelDistanceToWork": 32,
- "travelDistanceToWorkInKm": 41.05
}, - "address": {
- "street": "Voordijk",
- "city": "Leiden",
- "houseNumber": 12,
- "houseNumberAddition": "D",
- "furtherIndication": {
- "key": 1,
- "value": "WW"
}, - "postalCode": "1234 AA",
- "location": "Fourth floor or building C",
- "country": {
- "key": 1,
- "value": "Netherlands",
- "isoCode": "NL"
}
}, - "deviatingPostalAddress": {
- "street": "Voordijk",
- "city": "Leiden",
- "houseNumber": 12,
- "houseNumberAddition": "D",
- "furtherIndication": {
- "key": 1,
- "value": "WW"
}, - "postalCode": "1234 AA",
- "location": "Fourth floor or building C",
- "country": {
- "key": 1,
- "value": "Netherlands",
- "isoCode": "NL"
}
}, - "exclusionFromAbsenceStatus": false,
- "statusEmployeeSelfService": {
- "key": 2,
- "value": "Blocked"
}, - "revokeEmployeeSelfServiceAccessOn": "2018-10-23"
}, - "employment": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "2018-01-01",
- "historicalStartDate": "2012-05-01",
- "commissionUntilDate": "2019-01-01",
- "endDate": "2018-10-23",
- "endOfEmploymentReason": {
- "key": 1,
- "value": "VUT"
}, - "endOfEmploymentReasonTaxAuthorities": {
- "key": 1,
- "value": "Beëindiging arbeidsovereenkomst met wederzijds goedvinden op initiatief van de werkgever."
}, - "endOfEmploymentDueToIllness": false,
- "firstDayNotification": false,
- "payrollAdministration": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "name": "ABC accountants",
- "clientNumber": 1234,
- "description": "Bakker"
}, - "nonPayrollAdministration": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "name": "HR only employees",
- "description": "Bakker"
}, - "administration": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "name": "ABC accountants",
- "clientNumber": 1234,
- "description": "Bakker",
- "administrationType": "payrollAdministration"
}, - "typeOfEmployee": {
- "key": 1,
- "value": "Werknemer"
}, - "employmentCategoryType": {
- "key": 1,
- "value": "Ouderschapsverlof"
}, - "linkedEmployment": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "employmentDurationType": {
- "key": 1,
- "value": "Contract of indefinite duration"
}, - "startDateContractOfIndefiniteDuration": "2018-05-08",
- "employmentContractType": {
- "key": 1,
- "value": "Arbeidsovereenkomst (excl BBL)"
}, - "vacationCoupons": {
- "key": 1,
- "value": "n.v.t."
}, - "sendToExternalParty": {
- "key": 1,
- "value": "n.v.t."
}, - "deviatingCLAExternalParty": 2,
- "deviatingCLATaxReturn": 2,
- "incomeRelationshipNumber": 12,
- "employeeProfileId": {
- "key": 1,
- "value": "Profiel full-timers"
}, - "professionCode": 4,
- "exemptionWorkRelatedExpenseScheme": false,
- "exemptionPremiumWaiverMarginalLabour": false,
- "typeOfParticipation": {
- "key": 0,
- "value": "n.vt."
}, - "valueOfParticipation": {
- "key": 0,
- "value": "n.v.t."
}, - "wachtgeldOldRegulation": false,
- "participation55plusRegulationUWV": false,
- "essMutationSet": {
- "key": 1,
- "value": "Standaard"
}, - "exemptionInsuranceObligation": {
- "key": 0,
- "value": "Geen uitzondering."
}, - "specialIncomeRatio": {
- "key": 0,
- "value": "n.v.t."
}, - "temporaryTaxExemption": {
- "key": 2,
- "value": "Nee."
}, - "periodPayGradeAdjustment": 2,
- "signalPayGradeAdjustment": false,
- "commissionUntilDate1": "2018-05-31",
- "commissionUntilDate2": "2018-05-31",
- "commissionUntilDate3": "2018-05-31",
- "commissionUntilDate4": "2018-05-31",
- "commissionUntilDate5": "2018-05-31",
- "commissionUntilDate6": "2018-05-31",
- "isDirectorAndMajorShareholder": false,
- "isPreviousOwner": false,
- "isFamilyOfOwner": false,
- "isOnCallEmployment": true,
- "hasOnCallAppearanceObligation": true,
- "isGemoedsbezwaardNationalInsurance": true,
- "isGemoedsbezwaardEmployeeInsurance": true,
- "isAnonymousEmployee": true,
- "cancellationPeriodEmployee": 1,
- "cancellationPeriodEmployer": 1,
- "cancellationPeriodTimeUnit": {
- "key": 4,
- "value": "Maand(en)"
}, - "cancellationNoticeDate": "2018-05-31",
- "startCancellationNoticePeriod": "2018-06-01",
- "payrollId": 2,
- "namePayslip": "Steve Jobs",
- "calculateWorkingHours": true,
- "writtenEmploymentContract": true
}, - "workinghours": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "2018-01-01",
- "endDate": "2018-10-23",
- "shift": {
- "shiftNumber": 1,
- "fullTimeHoursPerWeek": 40,
- "bonusPercentage": 12
}, - "deviatingHoursPerWeek": 32,
- "averageHoursPerWeek": 32,
- "deviatingSvDaysPerPeriod": 20,
- "averageParttimeFactor": 37.5,
- "regularWorkPattern": true,
- "shiftRateSickLeave": {
- "shiftNumber": 1,
- "fullTimeHoursPerWeek": 40,
- "bonusPercentage": 12
}, - "flexibleHoursContract": {
- "key": 2,
- "value": "Minimum uren contract"
}, - "workPattern": {
- "oddWeeks": {
- "monday": 8,
- "tuesday": 8,
- "wednesday": 4,
- "thursday": 7.5,
- "friday": 4,
- "saturday": 0,
- "sunday": 0
}, - "evenWeeks": {
- "monday": 0,
- "tuesday": 8,
- "wednesday": 8,
- "thursday": 8,
- "friday": 2,
- "saturday": 0,
- "sunday": 0
}
}, - "calculateUsingWorkPattern": {
- "leaveHours": true,
- "hoursBrokenPeriod": false,
- "hoursRegularPeriod": false,
- "daysDailyRate": false,
- "deviatingDaysAndHours": false
}, - "contractCode": {
- "key": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "code": 1022,
- "description": "SLA-PT-met toeslagen ATW (88)"
}, - "aggregatedHoursPerWeek": 24
}, - "organizationalEntity": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "2018-01-01",
- "endDate": "2018-10-23",
- "function": {
- "key": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "description": "Directeur",
- "group": "internal"
}, - "deviatingFunctionGroup": "9A",
- "deviatingFunctionDescription": "Directeur",
- "standardFunction": {
- "key": 1,
- "value": "Administrateur",
- "code": "A21",
- "category": 1
}, - "department": {
- "key": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "code": 2,
- "description": "Verkoop"
}, - "distributionUnit": {
- "key": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "code": 2,
- "description": "Sales"
}, - "placeOfEmployment": "Amsterdam office",
- "internalTelephoneExtensionNumber": "678"
}, - "wage": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "1995-05-21",
- "endDate": "2019-08-24",
- "payrollPeriodType": {
- "key": 1,
- "value": "Maand"
}, - "grossWage": 2300,
- "grossWageType": {
- "key": 2,
- "value": "hourly"
}, - "isGrossWageFullTime": true,
- "netWage": 2400,
- "netWageType": {
- "key": 1,
- "value": "hourly"
}, - "employerCosts": 3500,
- "employerCostsType": {
- "key": 1,
- "value": "hourly"
}, - "payScale": {
- "key": 1,
- "value": "Glastuinbouw maand, Loongebouw A"
}, - "payGrade": {
- "key": 1,
- "value": "Schaal B1, 15 jaar"
}, - "applyPayGrade": true
}, - "socialSecurityBenefits": [
- {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "2018-01-01",
- "endDate": "2018-10-23",
- "supplementation": {
- "type": {
- "key": 3,
- "value": "Suppleren (bruto)"
}, - "percentage": 35
}, - "benefit": {
- "type": {
- "key": 1,
- "value": "ZW eigen risico"
}, - "percentage": 35
}
}
], - "socialSecurityConfiguration": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "2018-01-01",
- "endDate": "2018-10-23",
- "isInsuredForSicknessBenefitsAct": true,
- "isInsuredForUnemploymentInsuranceAct": true,
- "isInsuredForOccupationalDisabilityInsuranceAct": true
}, - "deviatingAwfContribution": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startPeriod": {
- "year": 2017,
- "periodNumber": 1,
- "periodStartDate": "2018-01-01",
- "periodEndDate": "2018-01-31"
}, - "endPeriod": {
- "year": 2017,
- "periodNumber": 1,
- "periodStartDate": "2018-01-01",
- "periodEndDate": "2018-01-31"
}, - "typeOfDeviatingAwfContribution": {
- "key": 2,
- "value": "Hoog"
}
}, - "citizenServiceNumber": {
- "citizenServiceNumber": "042168588"
}, - "statusEmployeeSelfService": {
- "hasTwoFactorAuthentication": false,
- "status": "HasAccessToClient"
}, - "employmentCustomFields": [
- {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "customField": {
- "id": "025ce09b-bff2-4b05-bcf0-711a89da7c08",
- "description": "Shoe size"
}, - "value": "41"
}
], - "employeeCustomFields": [
- {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "customField": {
- "id": "025ce09b-bff2-4b05-bcf0-711a89da7c08",
- "description": "Shoe size"
}, - "value": "41"
}
], - "paymentInformationSepa": [
- {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "payrollComponent": {
- "key": 260,
- "value": "NETTOLOON"
}, - "iban": "NL52ABNA0424968264",
- "bic": "AUDFDE21",
- "visibleOnPayslip": true,
- "nameBeneficiary": "Ben Hur",
- "cityBeneficiary": "Rome",
- "description1": "xx",
- "description2": "x"
}
], - "fiscalProperties": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "2018-01-01",
- "endDate": "2018-10-23",
- "annualSalary": 60000,
- "deviatingTaxTableCode": {
- "key": 1,
- "value": "999 Overige gevallen waarin geen tabel is toegepast"
}, - "deviatingPayrollTaxTableColour": {
- "key": 2,
- "value": "Werknemer belastingpl. en niet premiepl. WLZ"
}, - "applyDayTables": false,
- "deviatingPayrollTaxPercentage": 25,
- "applyDeviatingPayrollTaxPercentageOn": {
- "key": 2,
- "value": "Afwijkend voor tabel- en tariefloon"
}, - "applyPayrollTaxDeduction": true,
- "applyStudentDeduction": false,
- "residentOf": {
- "key": 2,
- "value": "Andere EU-lidstaat,EER-land,Zwitserland of BES-eilanden"
}, - "applySalarysplit": {
- "key": 2,
- "value": "LB obv wereldinkomen (%NL/WI)"
}, - "percentageForeignIncome": 50,
- "deviatingCalculationRulePayrollTax": {
- "key": 2,
- "value": "Werknemer belastingpl. en niet premiepl. WLZ"
}, - "thirtyPercentFacility": {
- "key": 1,
- "value": "Netto"
}, - "deviatingPercentageThirtyPercentFacility": 20.2345,
- "doesWageIncludeAow": false,
- "doesWageIncludeWajong": false,
- "hasEmployeeLoan": false,
- "usesTransportByWithholdingAgent": false,
- "deviatingSmallJobsArrangement": false,
- "contributionReductionEducation": {
- "key": 2,
- "value": "4. Opleiding hbo"
}, - "specialIndication": {
- "one": 1,
- "two": 1,
- "three": 1,
- "four": 1
}, - "applySingleElderlyTaxDeduction": false
}, - "healthcareInsuranceActConfiguration": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "2018-01-01",
- "endDate": "2018-10-23",
- "healthcareInsuranceActType": {
- "key": 2,
- "value": "(C/K) Wel verzekeringsplichtig, normaal tarief"
}, - "additionalContributionEmployer": 320,
- "nominalPremium": 320,
- "additionalPremium": 120
}, - "benefitsInKind": [
- {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "2018-01-01",
- "endDate": "2018-10-23",
- "benefitInKindType": {
- "id": "36530F13-59EB-4C15-B5F2-4F92B070A208",
- "description": "Mobiele telefoon"
}, - "brand": "Apple",
- "type": "Iphone 11",
- "value": 1100,
- "supplier": "Mediamarkt",
- "particularities": "geen bijzonderheden"
}
], - "companyCars": [
- {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "2021-01-01",
- "endDate": "2023-10-23",
- "brand": "Volvo",
- "model": "V60",
- "licensePlateNumber": "GP586D",
- "fuelCardNumber": "B100.323.903",
- "leaseOrBuy": {
- "key": 1,
- "value": "Koop"
}, - "supplier": "Leasemaatschappij Tilburg",
- "lease": {
- "startDate": "2021-01-01",
- "endDate": "2023-10-23",
- "contractNumber": "2021.323.903"
}, - "catalogValue": 20000,
- "kilometersPrivateUse": 10000,
- "comments": "This car is very nice"
}
], - "fiscalCompanyCars": [
- {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "2021-01-01",
- "endDate": "2023-10-23",
- "licensePlateNumber": "GP586D",
- "dateOfFirstAdmission": "2018-01-01",
- "valueForTaxPurposes": 20000,
- "additionalTaxLiabilityGroup": {
- "key": 1,
- "value": "Standaard tarief (25% tot 2017)"
}, - "reasonForNoAdditionalTaxLiability": {
- "key": 1,
- "value": "(2) Werknemer heeft beschikking belastingdienst"
}, - "deviatingAdditionalTaxLiability": 20000,
- "taxableBenefitForPrivateUse": 2000
}
], - "journalAllocation": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "journalProfileConfiguration": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startPeriod": {
- "year": 2017,
- "periodNumber": 1,
- "periodStartDate": "2017-01-01",
- "periodEndDate": "2017-01-31"
}, - "endPeriod": {
- "year": 2017,
- "periodNumber": 1,
- "periodStartDate": "2017-01-01",
- "periodEndDate": "2017-01-31"
}, - "journalProfile": {
- "key": 2,
- "value": "General ledger supermarkets"
}
}, - "startPeriod": {
- "year": 2017,
- "periodNumber": 1,
- "periodStartDate": "2018-01-01",
- "periodEndDate": "2018-01-31"
}, - "endPeriod": {
- "year": 2017,
- "periodNumber": 1,
- "periodStartDate": "2018-01-01",
- "periodEndDate": "2018-01-31"
}, - "allocationBasedOnActualHours": {
- "costCenter": {
- "key": 2,
- "code": "SAL073",
- "description": "Sales Den Bosch"
}, - "costUnit": {
- "key": 2,
- "code": "01",
- "description": "Cars"
}
}, - "allocationBasedOnFixedWeights": [
- {
- "costCenter": {
- "key": 2,
- "code": "SAL073",
- "description": "Sales Den Bosch"
}, - "costUnit": {
- "key": 2,
- "code": "01",
- "description": "Cars"
}, - "weight": 1
}
]
}, - "basesForCalculation": [
- {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "2018-01-01",
- "endDate": "2018-10-23",
- "deviations": {
- "percentage": 8,
- "reservationPercentage": 12.0007,
- "financialReservationPercentage": 10.000007
}, - "ageBasedMinimum": {
- "key": 2,
- "value": "Toepassen hoogste leeftijd"
}, - "ageBasedMaximum": {
- "key": 2,
- "value": "Toepassen hoogste leeftijd"
}, - "base": {
- "key": 545,
- "value": "VAKANTIE TOESLAG, periodieke opbouw"
}
}
], - "otherPayrollVariables": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "2018-01-01",
- "endDate": "2018-10-23",
- "productivityPercentage": 100,
- "payrollProperties": {
- "deviatingPremiumGroup": {
- "key": 2,
- "value": "(1) Agrarisch bedrijf kort"
}, - "wageCostBenefit": {
- "key": 2,
- "value": "LKV herplaatsen arbeidsgehandicapte werknemer"
}, - "wajongWithWageDispensation": false,
- "phaseClassification": {
- "key": 2,
- "value": "(38) Fase A zonder uitzendbeding met uitsluiting van ldv"
}, - "incidentalIncomeDeduction": {
- "key": 2,
- "value": "Bevalling of zwangerschap"
}, - "terminateIncomenumberFlexibleEmployment": {
- "key": 2,
- "value": "(1) Einde werk/contract, geen werk aangeboden"
}, - "applyMinimumWageVocationalLearningPathway": true,
- "occupationalDisabilityPremiumDiscount": {
- "key": 2,
- "value": "(7) Werknemer van 62, 63 of 64 jaar voor wie code 6 niet van toepassing is"
}, - "occupationalDisabilityDeductionAfter2009": 1,
- "occupationalDisabilityDeductionTo2009": 1,
- "collectiveLaborAgreementCodeHiringEmployer": {
- "key": 151,
- "value": "TUINBOUWVEILINGEN",
- "startDate": "2018-01-01",
- "endDate": "2018-10-23"
}, - "applyYearlyHoursNorm": false
}, - "pensionProperties": {
- "annualCalculationBaseAbp": 1.5,
- "leaveAbp": {
- "leaveType": {
- "key": 2,
- "value": "Politiek verlof"
}, - "valueOfParticipationDuringLeave": 1
}, - "deviatingDisabilityInsuranceActPercentageForCordares": {
- "key": 2,
- "value": "15- 25 %"
}, - "applyDispensationRiskFund": false,
- "compulsoryEducationDays": 2,
- "occupationalPensionFund": 2,
- "specificationOfIncomeRelationshipApg": {
- "key": 1,
- "value": "Geen bijzonderheden",
- "code": "WNE"
}
}, - "insuranceProperties": {
- "applicableForNoRiskPolicy": false
}
}, - "paymentinformationNonSepa": [
- {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "payrollComponent": {
- "key": 260,
- "value": "NETTOLOON"
}, - "bankAccountNumber": "0403830171874018",
- "beneficiary": {
- "name": "Ben Hur",
- "city": "Rome",
- "address": "Via Roma 3",
- "country": {
- "key": 1,
- "value": "Netherlands",
- "isoCode": "NL"
}
}, - "bank": {
- "bankIdentifierCode": "AUDFDE21",
- "name": "Ben Hur",
- "city": "Rome",
- "address": "Via Roma 3",
- "country": {
- "key": 1,
- "value": "Netherlands",
- "isoCode": "NL"
}
}
}
], - "basesForEmploymentFundCalculation": [
- {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "2018-01-01",
- "endDate": "2018-10-23",
- "origin": {
- "key": 1,
- "value": "Normale wijziging"
}, - "base": 25000
}
], - "pensionBenefits": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "2018-01-01",
- "endDate": "2018-10-23",
- "payout": 2569
}, - "deviatingHourlyWages": [
- {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "2018-01-01",
- "endDate": "2018-10-23",
- "payrollComponent": {
- "key": 70,
- "description": "LOON/SALARIS"
}, - "value": 50.87
}
]
}
]
}Activity name : GetEmploymentsByEmployeeId
Get the list of employments for an employee
| employeeId required | string <uuid> The unique identifier of the employee |
| filter | string Example: filter=cancellationPeriodTimeUnit.key eq 4 Filter the collection |
| orderBy | string^-?\w+(,-?\w+)*$ Example: orderBy=-companyName,address.houseNumber Order the collection on one or more fields |
| pageNumber | integer <int32> Default: 1 Example: pageNumber=2 Specifies which page should be returned |
| pageSize | integer <int32> Default: 250 Example: pageSize=20 Specifies the number of objects per page |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "totalSize": 650,
- "pageSize": 250,
- "totalPages": 3,
- "currentPage": 2,
- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "_embedded": [
- {
- "employee": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "employeeNumber": 156,
- "firstName": "Susan",
- "initials": "S.L.",
- "prefix": "van",
- "lastName": "Bergen",
- "prefixPartner": "van de",
- "lastNamePartner": "Wiel",
- "formattedName": "Wiel - van Bergen S.L. van de",
- "dateOfBirth": "1995-05-21",
}, - "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "2018-01-01",
- "historicalStartDate": "2012-05-01",
- "commissionUntilDate": "2019-01-01",
- "endDate": "2018-10-23",
- "endOfEmploymentReason": {
- "key": 1,
- "value": "VUT"
}, - "endOfEmploymentReasonTaxAuthorities": {
- "key": 1,
- "value": "Beëindiging arbeidsovereenkomst met wederzijds goedvinden op initiatief van de werkgever."
}, - "endOfEmploymentDueToIllness": false,
- "firstDayNotification": false,
- "payrollAdministration": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "name": "ABC accountants",
- "clientNumber": 1234,
- "description": "Bakker"
}, - "nonPayrollAdministration": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "name": "HR only employees",
- "description": "Bakker"
}, - "administration": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "name": "ABC accountants",
- "clientNumber": 1234,
- "description": "Bakker",
- "administrationType": "payrollAdministration"
}, - "typeOfEmployee": {
- "key": 1,
- "value": "Werknemer"
}, - "employmentCategoryType": {
- "key": 1,
- "value": "Ouderschapsverlof"
}, - "linkedEmployment": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "employmentDurationType": {
- "key": 1,
- "value": "Contract of indefinite duration"
}, - "startDateContractOfIndefiniteDuration": "2018-05-08",
- "employmentContractType": {
- "key": 1,
- "value": "Arbeidsovereenkomst (excl BBL)"
}, - "vacationCoupons": {
- "key": 1,
- "value": "n.v.t."
}, - "sendToExternalParty": {
- "key": 1,
- "value": "n.v.t."
}, - "deviatingCLAExternalParty": 2,
- "deviatingCLATaxReturn": 2,
- "incomeRelationshipNumber": 12,
- "employeeProfileId": {
- "key": 1,
- "value": "Profiel full-timers"
}, - "professionCode": 4,
- "exemptionWorkRelatedExpenseScheme": false,
- "exemptionPremiumWaiverMarginalLabour": false,
- "typeOfParticipation": {
- "key": 0,
- "value": "n.vt."
}, - "valueOfParticipation": {
- "key": 0,
- "value": "n.v.t."
}, - "wachtgeldOldRegulation": false,
- "participation55plusRegulationUWV": false,
- "essMutationSet": {
- "key": 1,
- "value": "Standaard"
}, - "exemptionInsuranceObligation": {
- "key": 0,
- "value": "Geen uitzondering."
}, - "specialIncomeRatio": {
- "key": 0,
- "value": "n.v.t."
}, - "temporaryTaxExemption": {
- "key": 2,
- "value": "Nee."
}, - "periodPayGradeAdjustment": 2,
- "signalPayGradeAdjustment": false,
- "commissionUntilDate1": "2018-05-31",
- "commissionUntilDate2": "2018-05-31",
- "commissionUntilDate3": "2018-05-31",
- "commissionUntilDate4": "2018-05-31",
- "commissionUntilDate5": "2018-05-31",
- "commissionUntilDate6": "2018-05-31",
- "isDirectorAndMajorShareholder": false,
- "isPreviousOwner": false,
- "isFamilyOfOwner": false,
- "isOnCallEmployment": true,
- "hasOnCallAppearanceObligation": true,
- "isGemoedsbezwaardNationalInsurance": true,
- "isGemoedsbezwaardEmployeeInsurance": true,
- "isAnonymousEmployee": true,
- "cancellationPeriodEmployee": 1,
- "cancellationPeriodEmployer": 1,
- "cancellationPeriodTimeUnit": {
- "key": 4,
- "value": "Maand(en)"
}, - "cancellationNoticeDate": "2018-05-31",
- "startCancellationNoticePeriod": "2018-06-01",
- "payrollId": 2,
- "namePayslip": "Steve Jobs",
- "calculateWorkingHours": true,
- "writtenEmploymentContract": true
}
]
}Activity name : GetEmploymentByEmploymentId
Get the details for an employment
| employmentId required | string <uuid> The unique identifier of the employment |
| Authorization required | string^Bearer\s[\w-]+$ Example: Bearer <TOKEN> A valid Bearer token for authorizing the request. |
| Accept required | string Example: application/json;version=2018-01-01 The accept header is used to influence what type of output is returned and in most cases the version of the output |
{- "version": {
- "obsoleteDate": "2019-08-24",
- "resourceVersion": "2018-12-31"
}, - "messages": [
- {
- "type": "Warning",
- "description": "<some warning>",
- "id": "904d6856-6034-4624-bcbc-886188c115c5",
- "code": 12,
- "properties": [
- "string"
]
}
], - "content": {
- "employee": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "employeeNumber": 156,
- "firstName": "Susan",
- "initials": "S.L.",
- "prefix": "van",
- "lastName": "Bergen",
- "prefixPartner": "van de",
- "lastNamePartner": "Wiel",
- "formattedName": "Wiel - van Bergen S.L. van de",
- "dateOfBirth": "1995-05-21",
}, - "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "startDate": "2018-01-01",
- "historicalStartDate": "2012-05-01",
- "commissionUntilDate": "2019-01-01",
- "endDate": "2018-10-23",
- "endOfEmploymentReason": {
- "key": 1,
- "value": "VUT"
}, - "endOfEmploymentReasonTaxAuthorities": {
- "key": 1,
- "value": "Beëindiging arbeidsovereenkomst met wederzijds goedvinden op initiatief van de werkgever."
}, - "endOfEmploymentDueToIllness": false,
- "firstDayNotification": false,
- "payrollAdministration": {
- "id": "b14acd0d-75d7-4fc8-8b22-4a3924585cab",
- "name": "ABC accountants",
- "clientNumber": 1234,
- "description": "Bakker",
- "cla": {
[...]
